Subject: linux-next ARM multi-platform randconfig errors

From: [email-masked] (Kishon Vijay Abraham I)
Date: Mon, 22 Apr 2013 18:15:25 +0530

Hi,

On Monday 22 April 2013 05:22 PM, Felipe Balbi wrote:
> Hi,
>
> On Mon, Apr 22, 2013 at 11:21:49AM +0300, Felipe Balbi wrote:
>>> -Kevin Hilman <[email-masked]>
>>> +Kevin Hilman <[email-masked]>
>>>
>>> On 04/19/2013 07:12 PM, Tony Lindgren wrote:
>>>> * Rob Herring <[email-masked]> [130418 20:11]:
>>>>> Current errors in linux-next for ARM multi-platform randconfig builds.
>>>>>
>>>>> Rob
>>>>>
>>>>> arch/arm/mach-omap2/built-in.o:dss-common.c:(.init.text+0x6830): more undefined references to `usb_bind_phy' follow
>>>>
>>>> Felipe & Roger, can you guys take a look at the usb_bind_phy issue
>>>> in linux next? I have not seen that in the multiplatform randconfigs
>>>> I've built, but I have had some omap2+ specific things enabled there.
>>>
>>> These problems happen if USB_PHY is not enabled as a built-in driver.
>>> I had pointed this out earlier [1] and Felipe should have a fix for it.
>>
>> yeah, ideally we wouldn't do any 'select' and just update defconfig with
>> the necessary changes. We need the patch below to update defconfig and
>> another patch to stub out usb_bind_phy when !USB_PHY.
>
> the stub is already there, this should fix the other part though:

Denis had sent a patch for it 4 days back [1]. Lets use that instead.

Thanks
Kishon

[1] - https://patchwork.kernel.org/patch/2460691/